Imports NationalInstruments.VisaNS

Public Class Form1

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        End
    End Sub

    Private Sub Button1_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Button1.Click

        REM  ##############################################
        REM  
        REM    M3500A measure VOLTage:DC 
        REM
        REM    Using NI-VISA Visual Studio 2005 dotnet NationalInstruments.VisaNS
        REM
        REM  ##############################################

        Dim resources() As String     ' The ResourceManager find resource array
        Dim workrs As String          ' The working device resource name 
        Dim s As String
        Dim sw As Boolean
        Dim tom As Integer            ' The TimeOut value

        Dim sm As NationalInstruments.VisaNS.MessageBasedSession
        Dim responseString As String

        '
        ' Check the Resource Manager all the resources
        ' find the M3500A device for "USB0::0x164E::0x0DAD"
        '
        resources = ResourceManager.GetLocalManager().FindResources("?*")
        sw = True
        For Each s In resources
            If s.Contains("0x164E::0x0DAD") Then
                sw = False
                workrs = s
                Exit For
            End If
        Next

        If sw Then
            MsgBox("M3500A USB device not found.")
            Exit Sub
        End If
        ' Set the working device -- open the session
        ' set the device to the initialize state -- *RST, *CLS
        '
        sm = ResourceManager.GetLocalManager().Open(workrs)
        sm.Write("*RST")
        sm.Write("*CLS")
        sm.Write("SAMP:COUN 1")

        tom = sm.Timeout()
        sm.Timeout() = 10000
        '
        ' Set the function VOLTage:DC RANGE Auto and read the measure
        '
        sm.Write("SENS:VOLT:DC:RANGE:AUTO ON")
        sm.Write("MEAS:VOLT:DC?")
        '
        ' Read the measures and show the readings on the ListBox
        '
        responseString = sm.ReadString()
        Label1.Text = responseString
        '
        ' Set the M3500A to local mode
        '
        sm.Timeout() = tom
        sm.Write("system:local")
        sm.Dispose()
        MsgBox("End of Job.", MsgBoxStyle.Information, "M3500A Measure example")

    End Sub
End Class
